Get Protected Registry Customer
GET
/v1/packages/customers/{customer_slug}
const url = 'https://example.com/v1/packages/customers/example?tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/packages/customers/example?tenant_id='Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”customer_slug
required
Customer Slug
string
Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalRegistryCustomerOut
object
tenant_id
Tenant Id
string
customer_slug
Customer Slug
string
display_name
Display Name
string
status
Status
string
updated_by
Updated By
string
updated_at
Updated At
string
Example
{ "tenant_id": "default", "customer_slug": "", "display_name": "", "status": "active", "updated_by": "", "updated_at": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}